Subject: Re: [bug#30972] [PATCH] gnu: virtuoso-ose: Unbundle zlib and build with readline

From: Marius Bakke <[email-masked]>
Date: Thu, 29 Mar 2018 18:21:35 +0200

Roel Janssen <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Roel Janssen <[email-masked]> writes:
>>
>>> From 80b26cfcc3d64588738e5fecc92f3eabc214ed4c Mon Sep 17 00:00:00 2001
>>> From: Roel Janssen <[email-masked]>
>>> Date: Wed, 28 Mar 2018 18:13:23 +0200
>>> Subject: [PATCH] gnu: virtuoso-ose: Unbundle zlib and build with readline
>>>  support.
>>>
>>> * gnu/packages/databases.scm (virtuoso-ose): Unbundle zlib and build with
>>>   readline support.
>>
>> Please mention the changes to [inputs] and [arguments] here.  Also,
>> assuming there is an internal copy of zlib, can you remove it with a
>> source 'snippet'?
>
> Thanks for the quick response!
>
> Then I'll need to rerun “autogen.sh” to make sure
> “libsrc/zlib/Makefile.in” isn't included in the configure phase.  That
> in turns needs the following packages added to native-inputs: autoconf,
> automake, bison, flex, gettext, gperf, libtool, perl, and pkg-config.

I came across a similar problem in <https://bugs.gnu.org/30974>.  Can
you see if the same solution works for you (preserve the autoconfery)?

> Does that justify removing the zlib source directory?  If so, I'll send
> the updated patch.  Otherwise, I'll just update the commit message.
> Would this be a proper commit message:
>
> gnu: virtuoso-ose: Unbundle zlib and build with readline support.
>
> * gnu/packages/databases.scm (virtuoso-ose):
>   [inputs]: Add zlib, and readline;
>   [arguments]: Add --without-internal-zlib, and --with-readline.

Looks good.